Gets last access time of the file

- « SplFileInfo::__construct

- SplFileInfo::getBasename »

- PHP Manual
- SplFileInfo
- Gets last access time of the file

# SplFileInfo::getATime

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

SplFileInfo::getATime — Gets last access time of the file

### Description

public SplFileInfo::getATime(): int|false

Gets the last access time for the file.

### Parameters

This function has no parameters.

### Return Values

Returns the time the file was last accessed on success, or `false` on failure.

### Errors/Exceptions

Throws RuntimeException on error.

### Examples

Example #1 SplFileInfo::getATime() example

    <?php$info = new SplFileInfo('example.jpg');echo 'Last accessed at ' . date('g:i a', $info->getATime());?>

The above example will output something similar to:

    Last accessed at 1:49 pm

### See Also

- fileatime() - Gets last access time of file
- SplFileInfo::getCTime() - Gets the inode change time
- SplFileInfo::getMTime() - Gets the last modified time